#include <stdio.h>

int a[200010];
int raz[200010];
int br[200010];

int main()
{
    int n;
    scanf("%d",&n);
    for (int i=0;i<n;i++) scanf("%d",&a[i]);
    raz[0]=0;
    for (int i=1;i<n;i++)
    {
        if (a[i]<a[i-1]) raz[i]=1;
        else raz[i]=0;
    }
    br[0]=0;
    for (int i=1;i<n;i++)
    {
        br[i]=br[i-1]+raz[i];
    }

    /*for (int i=0;i<n;i++) printf("%d ",raz[i]);
    printf("\n");
    for (int i=0;i<n;i++) printf("%d ",br[i]);*/

    int q;
    scanf("%d",&q);
    while (q)
    {
        int l,r;
        scanf("%d%d",&l,&r);
        l--;r--;
        if (br[r]-br[l]>1) printf("NE\n");
        else printf("DA\n");
        q--;
    }
}